/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrStatisticsSophia;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record9;
import org.jooq.Row9;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class DsrStatisticsSophiaRecord extends UpdatableRecordImpl<DsrStatisticsSophiaRecord> implements Record9<String, Long, Long, Long, Long, Long, Long, Long, Integer> {

    private static final long serialVersionUID = -970866038;

    /**
     * Setter for <code>DSR_STATISTICS_SOPHIA.IDDSR</code>.
     */
    public void setIddsr(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>DSR_STATISTICS_SOPHIA.IDDSR</code>.
     */
    public String getIddsr() {
        return (String) get(0);
    }

    /**
     * Setter for <code>DSR_STATISTICS_SOPHIA.TOTAL_LINES</code>.
     */
    public void setTotalLines(Long value) {
        set(1, value);
    }

    /**
     * Getter for <code>DSR_STATISTICS_SOPHIA.TOTAL_LINES</code>.
     */
    public Long getTotalLines() {
        return (Long) get(1);
    }

    /**
     * Setter for <code>DSR_STATISTICS_SOPHIA.TOTAL_RECOGNIZED</code>.
     */
    public void setTotalRecognized(Long value) {
        set(2, value);
    }

    /**
     * Getter for <code>DSR_STATISTICS_SOPHIA.TOTAL_RECOGNIZED</code>.
     */
    public Long getTotalRecognized() {
        return (Long) get(2);
    }

    /**
     * Setter for <code>DSR_STATISTICS_SOPHIA.TOTAL_IDSONG</code>.
     */
    public void setTotalIdsong(Long value) {
        set(3, value);
    }

    /**
     * Getter for <code>DSR_STATISTICS_SOPHIA.TOTAL_IDSONG</code>.
     */
    public Long getTotalIdsong() {
        return (Long) get(3);
    }

    /**
     * Setter for <code>DSR_STATISTICS_SOPHIA.TOTAL_ISWC</code>.
     */
    public void setTotalIswc(Long value) {
        set(4, value);
    }

    /**
     * Getter for <code>DSR_STATISTICS_SOPHIA.TOTAL_ISWC</code>.
     */
    public Long getTotalIswc() {
        return (Long) get(4);
    }

    /**
     * Setter for <code>DSR_STATISTICS_SOPHIA.TOTAL_ISRC</code>.
     */
    public void setTotalIsrc(Long value) {
        set(5, value);
    }

    /**
     * Getter for <code>DSR_STATISTICS_SOPHIA.TOTAL_ISRC</code>.
     */
    public Long getTotalIsrc() {
        return (Long) get(5);
    }

    /**
     * Setter for <code>DSR_STATISTICS_SOPHIA.TOTAL_TITLE_ARTISTS</code>.
     */
    public void setTotalTitleArtists(Long value) {
        set(6, value);
    }

    /**
     * Getter for <code>DSR_STATISTICS_SOPHIA.TOTAL_TITLE_ARTISTS</code>.
     */
    public Long getTotalTitleArtists() {
        return (Long) get(6);
    }

    /**
     * Setter for <code>DSR_STATISTICS_SOPHIA.TOTAL_FUZZY</code>.
     */
    public void setTotalFuzzy(Long value) {
        set(7, value);
    }

    /**
     * Getter for <code>DSR_STATISTICS_SOPHIA.TOTAL_FUZZY</code>.
     */
    public Long getTotalFuzzy() {
        return (Long) get(7);
    }

    /**
     * Setter for <code>DSR_STATISTICS_SOPHIA.TOTAL_MANUAL</code>.
     */
    public void setTotalManual(Integer value) {
        set(8, value);
    }

    /**
     * Getter for <code>DSR_STATISTICS_SOPHIA.TOTAL_MANUAL</code>.
     */
    public Integer getTotalManual() {
        return (Integer) get(8);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<String> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record9 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row9<String, Long, Long, Long, Long, Long, Long, Long, Integer> fieldsRow() {
        return (Row9) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row9<String, Long, Long, Long, Long, Long, Long, Long, Integer> valuesRow() {
        return (Row9) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field1() {
        return DsrStatisticsSophia.DSR_STATISTICS_SOPHIA.IDDSR;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field2() {
        return DsrStatisticsSophia.DSR_STATISTICS_SOPHIA.TOTAL_LINES;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field3() {
        return DsrStatisticsSophia.DSR_STATISTICS_SOPHIA.TOTAL_RECOGNIZED;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field4() {
        return DsrStatisticsSophia.DSR_STATISTICS_SOPHIA.TOTAL_IDSONG;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field5() {
        return DsrStatisticsSophia.DSR_STATISTICS_SOPHIA.TOTAL_ISWC;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field6() {
        return DsrStatisticsSophia.DSR_STATISTICS_SOPHIA.TOTAL_ISRC;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field7() {
        return DsrStatisticsSophia.DSR_STATISTICS_SOPHIA.TOTAL_TITLE_ARTISTS;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field8() {
        return DsrStatisticsSophia.DSR_STATISTICS_SOPHIA.TOTAL_FUZZY;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field9() {
        return DsrStatisticsSophia.DSR_STATISTICS_SOPHIA.TOTAL_MANUAL;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component1() {
        return getIddsr();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component2() {
        return getTotalLines();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component3() {
        return getTotalRecognized();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component4() {
        return getTotalIdsong();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component5() {
        return getTotalIswc();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component6() {
        return getTotalIsrc();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component7() {
        return getTotalTitleArtists();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component8() {
        return getTotalFuzzy();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component9() {
        return getTotalManual();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value1() {
        return getIddsr();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value2() {
        return getTotalLines();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value3() {
        return getTotalRecognized();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value4() {
        return getTotalIdsong();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value5() {
        return getTotalIswc();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value6() {
        return getTotalIsrc();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value7() {
        return getTotalTitleArtists();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value8() {
        return getTotalFuzzy();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value9() {
        return getTotalManual();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrStatisticsSophiaRecord value1(String value) {
        setIddsr(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrStatisticsSophiaRecord value2(Long value) {
        setTotalLines(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrStatisticsSophiaRecord value3(Long value) {
        setTotalRecognized(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrStatisticsSophiaRecord value4(Long value) {
        setTotalIdsong(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrStatisticsSophiaRecord value5(Long value) {
        setTotalIswc(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrStatisticsSophiaRecord value6(Long value) {
        setTotalIsrc(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrStatisticsSophiaRecord value7(Long value) {
        setTotalTitleArtists(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrStatisticsSophiaRecord value8(Long value) {
        setTotalFuzzy(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrStatisticsSophiaRecord value9(Integer value) {
        setTotalManual(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public DsrStatisticsSophiaRecord values(String value1, Long value2, Long value3, Long value4, Long value5, Long value6, Long value7, Long value8, Integer value9) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        value8(value8);
        value9(value9);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached DsrStatisticsSophiaRecord
     */
    public DsrStatisticsSophiaRecord() {
        super(DsrStatisticsSophia.DSR_STATISTICS_SOPHIA);
    }

    /**
     * Create a detached, initialised DsrStatisticsSophiaRecord
     */
    public DsrStatisticsSophiaRecord(String iddsr, Long totalLines, Long totalRecognized, Long totalIdsong, Long totalIswc, Long totalIsrc, Long totalTitleArtists, Long totalFuzzy, Integer totalManual) {
        super(DsrStatisticsSophia.DSR_STATISTICS_SOPHIA);

        set(0, iddsr);
        set(1, totalLines);
        set(2, totalRecognized);
        set(3, totalIdsong);
        set(4, totalIswc);
        set(5, totalIsrc);
        set(6, totalTitleArtists);
        set(7, totalFuzzy);
        set(8, totalManual);
    }
}
